local static_test = {
  type = "simple-entity",
  name = "picture_test",
  icon = "__base__/graphics/icons/wooden-chest.png",
  collision_box = { { -0.35, -0.35 }, { 0.35, 0.35 } },
  selection_box = { { -0.5, -0.5 }, { 0.5, 0.5 } },
  picture =
  {
    layers = {
      {
        filename = "__SpriteTest__/sprites/white_circle.png",
        priority = "high",
        width = 100,
        height = 100,
        shift = util.by_pixel_hr(50, 0),
        draw_as_light = true,
        tint = { r = 1, g = 0, b = 0, a = 1 },
      },
      {
        filename = "__SpriteTest__/sprites/white_circle.png",
        priority = "high",
        width = 100,
        height = 100,
        shift = util.by_pixel_hr(-25, 43),
        draw_as_light = true,
        tint = { r = 0, g = 1, b = 0, a = 1 },
      },
      {
        filename = "__SpriteTest__/sprites/white_circle.png",
        priority = "high",
        width = 100,
        height = 100,
        shift = util.by_pixel_hr(-25, -43),
        draw_as_light = true,
        tint = { r = 0, g = 0, b = 1, a = 1 },
      },
      {
        filename = "__SpriteTest__/sprites/white_circle.png",
        priority = "high",
        width = 100,
        height = 100,
        shift = util.by_pixel_hr(0, 0),
        tint = { r = 1, g = 1, b = 1, a = 1 },
      },
    }
  }
}

data:extend({ static_test })
